Skip to content

Process SAML assertion

POST
/api/v1/auth/sso/saml/callback
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/auth/sso/saml/callback \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "saml_response": "example", "tenant_id": "example" }'

Process a SAML Response from the IdP and extract user information.

Media typeapplication/json
SAMLCallbackRequest

Request body for processing a SAML assertion callback.

Attributes: tenant_id: The tenant the assertion belongs to. saml_response: Base64-encoded SAML Response from the IdP.

object
saml_response
required
Saml Response

Base64-encoded SAML Response from the IdP

string
tenant_id
required
Tenant Id

The tenant the assertion belongs to

string
Examplegenerated
{
"saml_response": "example",
"tenant_id": "example"
}

Successful Response

Media typeapplication/json
SSOUserInfoResponse

Response containing user info extracted from an SSO assertion.

Attributes: email: The user’s email address. name: The user’s display name. groups: SSO group memberships. provider_user_id: Unique user ID from the identity provider.

object
email
required
Email
string
groups
Groups
Array<string>
name
Name
string
""
provider_user_id
Provider User Id
string
""
Example
{
"name": "",
"provider_user_id": ""
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}